using Pilz.UI.Symbols;
using Telerik.WinControls;

namespace Pilz.UI.Telerik.Symbols;

public interface IRadSymbolFactory<TSymbols> : ISymbolFactory<TSymbols>
{
    Image GetImageColored(TSymbols svgImage, Size size, Color color);
    Image GetImageColored(TSymbols svgImage, SymbolSize size, Color color);
    Image GetImageFromSvg(RadSvgImage svg);
    RadSvgImage GetSvgImage(TSymbols svgImage, Size size);
    RadSvgImage GetSvgImage(TSymbols svgImage, SymbolSize size);
    RadSvgImage GetSvgImageColored(TSymbols svgImage, Size size, Color color);
    RadSvgImage GetSvgImageColored(TSymbols svgImage, SymbolSize size, Color color);
}